<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


<xsl:template match="portlet">
	<div class="portlet">
        <xsl:if test="not(string(display-portlet-title)='1')">
			<h3 class="portlet-header">
				<xsl:value-of disable-output-escaping="yes" select="portlet-name" />
			</h3>
        </xsl:if>

		<div class="portlet-content">
	    	<xsl:apply-templates select="mylutece-portlet" />
		</div>
	</div>
</xsl:template>


<xsl:template match="mylutece-portlet">
	<xsl:apply-templates select="user-not-signed" />
	<xsl:apply-templates select="lutece-user" />
</xsl:template>


<xsl:template match="user-not-signed">
	<p>
		<form name="login" action="jsp/site/plugins/mylutece/DoMyLuteceLogin.jsp" method="post">
		   <center>
			   <table cellspacing="0">
			   		<tr>
    					<td><b>Code d'acces :</b></td>
					    <td><input type="text" name="username" autocomplete="off" /></td>
				    </tr>
				    <tr>
					    <td><b>Mot de passe :</b></td>
					    <td><input type="password" name="password" autocomplete="off" /></td>
				    </tr>
				    <tr>
					    <td colspan="2" align="center"><input type="submit" value="Connexion"/></td>
				    </tr>
			   </table>
		   </center>
	   </form>
	</p>
    <table>
		<tr>
	    	<td>
		   		<xsl:apply-templates select="lutece-user-new-account-url" />
		    </td>
	        <td>
   				<xsl:apply-templates select="lutece-user-lost-password-url" />
		    </td>
	     </tr>
    </table>
</xsl:template>


<xsl:template match="lutece-user">
    Bienvenue   <xsl:value-of disable-output-escaping="yes" select="lutece-user-name-given" />&#160;
                <xsl:value-of disable-output-escaping="yes" select="lutece-user-name-family" />
    <br />
    <br />
    <xsl:apply-templates select="lutece-user-logout-url" />
    <xsl:apply-templates select="lutece-user-view-account-url" />
</xsl:template>


<xsl:template match="lutece-user-logout-url">
   <form name="logout" action="{.}" method="post">
   	<center>
	   	<input type="submit" value="D&#233;connexion"/>
    </center>
   </form>
</xsl:template>


<xsl:template match="lutece-user-new-account-url">
	<form name="logout" action="{.}" method="post">
    	<center>
		   	<input type="submit" value="Cr&#233;er un compte"/>
	    </center>
    </form>
</xsl:template>


<xsl:template match="lutece-user-lost-password-url">
	<form name="logout" action="{.}" method="post">
    	<center>
		   	<input type="submit" value="Mot de passe perdu"/>
	    </center>
   </form>
</xsl:template>

<xsl:template match="lutece-user-view-account-url">
	<form name="logout" action="{.}" method="post">
    	<center>
		   	<input type="submit" value="Voir mon compte"/>
	    </center>
    </form>
</xsl:template>

</xsl:stylesheet>

